Start single sign-on login
GET
/login/oidc
const url = 'https://example.com/api/v1/login/oidc';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/login/oidcRedirects the browser to the authorization endpoint of the configured OpenID Connect provider, which sends it back to /login/oidc/callback after authentication.
Responses
Section titled “ Responses ”Redirect to the provider
Single sign-on is not enabled or not available on the requested origin
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}An error occurred while processing the request
Media typeapplication/json
object
message
String representation of the exception
string
Examplegenerated
{ "message": "example"}